Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# libXFCcore/xfc/glib/object.hh File Reference

A GObject C++ wrapper interface. More...

`#include <xfc/glib/type.hh>`
`#include <xfc/glib/inline/object.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::Object
    Base class for wrapped GTK+ objects and widgets. More...

## Detailed Description

A GObject C++ wrapper interface.

Provides G::Object, the base class for all wrapped GTK+ objects.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3